package com.siginfo.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

public class TbIntVO {
	@JsonProperty("region_cd")
	private String regionCd;
	
	@JsonProperty("region_nm")
	private String regionNm;
	
	@JsonProperty("int_no")
	private Long intNo;
	
	@JsonProperty("int_nm")
	private String intNm;
	
	@JsonProperty("int_type")
	private Integer intType;
	
	@JsonProperty("int_lctype")
	private Integer intLctype;
	
	@JsonProperty("int_lamptype")
	private Integer intLamptype;
	
	@JsonProperty("main_intno")
	private Long mainIntno;
	
	@JsonProperty("int_no_se")
	private Long intNoSe;
	
	@JsonProperty("group_no")
	private Long groupNo;
	
	@JsonProperty("x_coord")
	private Double xCoord;
	
	@JsonProperty("y_coord")
	private Double yCoord;
	
	@JsonProperty("sigungu_cd")
	private Long sigunguCd;
	
	@JsonProperty("upd_dtime")
	private String updDtime;
	
	@JsonProperty("network_type")
	private Integer networkType;
	
	@JsonProperty("modem_ip")
	private String modemIp;
	
	@JsonProperty("status")
	private TbIntStatusVO status;
	
	@JsonProperty("region_id")
	private Integer regionId;
	
	@JsonProperty("comm_state")
	private String commState;

	
	public Integer getRegionId() {
		return regionId;
	}
	
	
	public void setRegionId(Integer regionId) {
		this.regionId = regionId;
	}

	public String getCommState() {
		return commState;
	}

	public void setCommState(String commState) {
		this.commState = commState;
	}

	
	public String getRegionCd() {
		return regionCd;
	}
	
	public void setRegionCd(String regionCd) {
		this.regionCd = regionCd;
	}
	public Long getIntNo() {
		return intNo;
	}
	public void setIntNo(Long intNo) {
		this.intNo = intNo;
	}
	public String getIntNm() {
		return intNm;
	}
	public void setIntNm(String intNm) {
		this.intNm = intNm;
	}
	public Integer getIntType() {
		return intType;
	}
	public void setIntType(Integer intType) {
		this.intType = intType;
	}
	public Integer getIntLctype() {
		return intLctype;
	}
	public void setIntLctype(Integer intLctype) {
		this.intLctype = intLctype;
	}
	public Integer getIntLamptype() {
		return intLamptype;
	}
	public void setIntLamptype(Integer intLamptype) {
		this.intLamptype = intLamptype;
	}
	public Long getMainIntno() {
		return mainIntno;
	}
	public void setMainIntno(Long mainIntno) {
		this.mainIntno = mainIntno;
	}
	public Long getIntNoSe() {
		return intNoSe;
	}
	public void setIntNoSe(Long intNoSe) {
		this.intNoSe = intNoSe;
	}
	public Long getGroupNo() {
		return groupNo;
	}
	public void setGroupNo(Long groupNo) {
		this.groupNo = groupNo;
	}
	public Double getxCoord() {
		return xCoord;
	}
	public void setxCoord(Double xCoord) {
		this.xCoord = xCoord;
	}
	public Double getyCoord() {
		return yCoord;
	}
	public void setyCoord(Double yCoord) {
		this.yCoord = yCoord;
	}
	public Long getSigunguCd() {
		return sigunguCd;
	}
	public void setSigunguCd(Long sigunguCd) {
		this.sigunguCd = sigunguCd;
	}
	public String getUpdDtime() {
		return updDtime;
	}
	public void setUpdDtime(String updDtime) {
		this.updDtime = updDtime;
	}
	public Integer getNetworkType() {
		return networkType;
	}
	public void setNetworkType(Integer networkType) {
		this.networkType = networkType;
	}
	public String getModemIp() {
		return modemIp;
	}
	public void setModemIp(String modemIp) {
		this.modemIp = modemIp;
	}
	public TbIntStatusVO getStatus() {
		return status;
	}
	public void setStatus(TbIntStatusVO status) {
		this.status = status;
	}
	
	public String getRegionNm() {
		return regionNm;
	}
	public void setRegionNm(String regionNm) {
		this.regionNm = regionNm;
	}

	@Override
	public String toString() {
		return "TbIntVO [regionCd=" + regionCd + ", regionNm=" + regionNm + ", intNo=" + intNo + ", intNm=" + intNm
				+ ", intType=" + intType + ", intLctype=" + intLctype + ", intLamptype=" + intLamptype + ", mainIntno="
				+ mainIntno + ", intNoSe=" + intNoSe + ", groupNo=" + groupNo + ", xCoord=" + xCoord + ", yCoord="
				+ yCoord + ", sigunguCd=" + sigunguCd + ", updDtime=" + updDtime + ", networkType=" + networkType
				+ ", modemIp=" + modemIp + ", status=" + status + ", regionId=" + regionId + ", commState=" + commState
				+ "]";
	}
	
}
